MRWGraph Class Reference

the main class to read the graphic part of a Mariner Write file More...

`#include <MRWGraph.hxx>`

## Public Member Functions

| MRWGraph (MRWParser &parser)
| constructor More...
virtual | ~MRWGraph ()
| destructor More...
int | version () const
| returns the file version More...
int | numPages () const
| returns the number of pages More...

## Protected Member Functions

bool | sendPageGraphics ()
| try to send the page graphic More...
void | flushExtra ()
| sends the data which have not yet been sent to the listener More...
float | getPatternPercent (int id) const
| return the pattern percent which corresponds to an id (or -1) More...
bool | readPostscript (MRWEntry const &entry, int zoneId)
| try to read a postscript zone More...
bool | readToken (MRWEntry const &entry, int zoneId)
| try to read a token zone (can be a picture or a field) More...
bool | readTokenBlock0 (MRWStruct const &data, MRWGraphInternal::Token &tkn, std::string &res)
| try to read the first token zone ( which can contains some field text ) More...
void | sendPicture (MRWGraphInternal::Token const &tkn)
| try to send a picture token as char More...
void | sendRule (MRWGraphInternal::Token const &tkn, MWAWFont const &actFont)
| try to send a rule More...
void | sendPSZone (MRWGraphInternal::PSZone const &ps, MWAWPosition const &pos)
| try to send a ps picture as pos More...
void | sendToken (int zoneId, long tokenId, MWAWFont const &actFont)
| try to send a token More...
void | sendText (int zoneId)
| ask the main parser to send a text zone More...

## Protected Attributes

MWAWParserStatePtr | m_parserState
| the parser state More...
shared_ptr < MRWGraphInternal::State > | m_state
| the state More...
MRWParser * | m_mainParser
| the main parser; More...

## Private Member Functions

| MRWGraph (MRWGraph const &orig)
MRWGraph & | operator= (MRWGraph const &orig)

## Friends

class | MRWParser
class | MRWGraphInternal::SubDocument

## Detailed Description

the main class to read the graphic part of a Mariner Write file

## Constructor & Destructor Documentation

MRWGraph::MRWGraph | ( | MRWParser & | parser | ) |

constructor

MRWGraph::~MRWGraph | ( |  | ) |

virtual

destructor

MRWGraph::MRWGraph | ( | MRWGraph const & | orig | ) |

private

## Member Function Documentation

void MRWGraph::flushExtra | ( |  | ) |

protected

sends the data which have not yet been sent to the listener

float MRWGraph::getPatternPercent | ( | int | id | ) | const

protected

return the pattern percent which corresponds to an id (or -1)

Referenced by sendRule().

int MRWGraph::numPages | ( |  | ) | const

returns the number of pages

MRWGraph& MRWGraph::operator= | ( | MRWGraph const & | orig | ) |

private

bool MRWGraph::readPostscript | ( | MRWEntry const & | entry,
|  | int | zoneId
| ) |  |

protected

try to read a postscript zone

bool MRWGraph::readToken | ( | MRWEntry const & | entry,
|  | int | zoneId
| ) |  |

protected

try to read a token zone (can be a picture or a field)

bool MRWGraph::readTokenBlock0 | ( | MRWStruct const & | data,
|  | MRWGraphInternal::Token & | tkn,
|  | std::string & | res
| ) |  |

protected

try to read the first token zone ( which can contains some field text )

Referenced by readToken().

bool MRWGraph::sendPageGraphics | ( |  | ) |

protected

try to send the page graphic

void MRWGraph::sendPicture | ( | MRWGraphInternal::Token const & | tkn | ) |

protected

try to send a picture token as char

Referenced by sendToken().

void MRWGraph::sendPSZone | ( | MRWGraphInternal::PSZone const & | ps,
|  | MWAWPosition const & | pos
| ) |  |

protected

try to send a ps picture as pos

Referenced by flushExtra().

void MRWGraph::sendRule | ( | MRWGraphInternal::Token const & | tkn,
|  | MWAWFont const & | actFont
| ) |  |

protected

try to send a rule

Referenced by sendToken().

void MRWGraph::sendText | ( | int | zoneId | ) |

protected

ask the main parser to send a text zone

Referenced by MRWGraphInternal::SubDocument::parse().

void MRWGraph::sendToken | ( | int | zoneId,
|  | long | tokenId,
|  | MWAWFont const & | actFont
| ) |  |

protected

try to send a token

Referenced by flushExtra().

int MRWGraph::version | ( |  | ) | const

returns the file version

Referenced by getPatternPercent().

## Friends And Related Function Documentation

friend class MRWGraphInternal::SubDocument

friend

friend class MRWParser

friend

## Member Data Documentation

MRWParser* MRWGraph::m_mainParser

protected

the main parser;

Referenced by readPostscript(), readToken(), sendText(), and sendToken().

MWAWParserStatePtr MRWGraph::m_parserState

protected

the parser state

Referenced by readPostscript(), readToken(), readTokenBlock0(), sendPicture(), sendPSZone(), sendRule(), sendToken(), and version().

shared_ptr<MRWGraphInternal::State> MRWGraph::m_state

protected

the state

Referenced by flushExtra(), getPatternPercent(), numPages(), readPostscript(), readToken(), and sendToken().

The documentation for this class was generated from the following files:

- MRWGraph.hxx
- MRWGraph.cxx